Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Typedefs | Functions
pyobjc-tc.c File Reference
`#include "ffitest.h"`

Go to the source code of this file.

## Data Structures
struct | Point
struct | Size
struct | Rect

## Typedefs
typedef struct Point | Point
typedef struct Size | Size
typedef struct Rect | Rect

## Functions
int | doit (int o, char *s, Point p, Rect r, int last)
int | main (void)

## Typedef Documentation

## ◆ Point

typedef struct Point Point

## ◆ Rect

typedef struct Rect Rect

## ◆ Size

typedef struct Size Size

## Function Documentation

## ◆ doit()

int doit | ( | int | o,
|  | char * | s,
|  | Point | p,
|  | Rect | r,
|  | int | last
| ) |  |

Definition at line 25 of file pyobjc-tc.c.

References Size::h, last, Rect::o, printf(), Rect::s, Size::w, Point::x, and Point::y.

## ◆ main()

int main | ( | void |  | ) |

Definition at line 33 of file pyobjc-tc.c.

References abort(), FFI_DEFAULT_ABI, ffi_prep_cif(), malloc(), and NULL.